## loadCustomData and saveCustomData

### Syntax:

    loadCustomData (filenameString);

    saveCustomData (thisStack, filenameString);

### Purpose:

The saveCustomData function creates a file with the name filenameString and stores the contents of the variable thisStack (which must, as you probably guessed, be a stack) in the file. The loadCustomData function loads data back from a file that has been created using saveCustomData.

Please note that you can't store custom data in the main .ini file. Use another name for your custom settings .ini file.

The method by which loadCustomData and saveCustomData treat the files they act upon and the types of data which can be stored are determined by the current custom encoding setting - see setCustomEncoding for details. If a game attempts to read a file with a different custom encoding setting than the one which was used when the file was created then a fatal error will occur, in order to stop others reading your custom data files unless they know the setting you used.

### Return value:

The loadCustomData function returns a stack containing the data which was just loaded. The saveCustomData function does not return a value.

### See also:

The Multi-Purpose Stack / Array / Queue Type

loadGame

newStack

saveGame

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012